<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>TNRT TCS Command Line Interface &mdash; nash  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/dark_mode_css/general.css" type="text/css" />
      <link rel="stylesheet" href="_static/dark_mode_css/dark.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/dark_mode_js/default_light.js"></script>
        <script src="_static/dark_mode_js/theme_switcher.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Automatic Observations" href="automatic_observations.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="#" class="icon icon-home"> nash
            <img src="_static/logo-narit-tnro-horizontal.png" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                v0.6.3-62-gfccfffa

              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Home</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">User Interface</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="automatic_observations.html">Automatic Observations</a><ul>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#schedule-parameters">Schedule Parameters</a></li>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#scan-type-parameters">Scan Type Parameters</a><ul>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#calibrate-cold-load">Calibrate: Cold Load</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#calibrate-hot-load">Calibrate: Hot Load</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#calibrate-noise-source">Calibrate: Noise Source</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#cross-otf">Cross (OTF)</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#five-point">Five Point</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#focus-m2-hxp">Focus M2 / HXP</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#map-otf">Map (OTF)</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#manual">Manual</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#on-source">On Source</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#raster">Raster</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#skydip">Skydip</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#time-sync">Time Sync</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#tracking-parameters">Tracking Parameters</a><ul>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#equatorial-right-ascension-declination">Equatorial (Right Ascension, Declination)</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#horizontal-azimuth-elevation-altitude-azimuth">Horizontal (Azimuth, Elevation) / (Altitude, Azimuth)</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#solar-system-body-planets-and-earth-s-moon">Solar System Body (Planets and Earth’s moon)</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#tle-satellite">TLE (Satellite)</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#receiver-frontend-parameters">Receiver Frontend Parameters</a><ul>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#l-band">L Band</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#cx-band">CX Band</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#ku-band">Ku Band</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#k-band">K Band</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#optical">Optical</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#digital-backend-parameters">Digital Backend Parameters</a><ul>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#edd">EDD</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#holofft">HoloFFT</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#holosdr">HoloSDR</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#skarab">SKARAB</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#optical-be">Optical</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#wideband-rf-power-meter">Wideband RF Power Meter</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#edd-mock-spectrometer">EDD Mock Spectrometer</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#tcs-data-pipeline-parameters">TCS Data Pipeline Parameters</a><ul>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#dataparams">DataParams</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="command_reference.html">Command Reference</a><ul>
<li class="toctree-l2"><a class="reference internal" href="command_reference.html#session">Session</a></li>
<li class="toctree-l2"><a class="reference internal" href="command_reference.html#antenna">Antenna</a></li>
<li class="toctree-l2"><a class="reference internal" href="command_reference.html#scan">Scan</a></li>
<li class="toctree-l2"><a class="reference internal" href="command_reference.html#catalog">Catalog</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="example_scripts.html">Example Scripts</a><ul>
<li class="toctree-l2"><a class="reference internal" href="example_scripts.html#check-time-sync">Check Time Sync</a></li>
<li class="toctree-l2"><a class="reference internal" href="example_scripts.html#basic-azimuth-elevation-movement">Basic Azimuth Elevation Movement</a></li>
<li class="toctree-l2"><a class="reference internal" href="example_scripts.html#check-pointing-model-function">Check Pointing Model Function</a></li>
</ul>
</li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Source Code Repositories</span></p>
<ul>
<li class="toctree-l1"><a class="reference external" href="https://gitlab.com/narit-raoc/tnrt">tnrt</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">nash</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="#" class="icon icon-home"></a> &raquo;</li>
      <li>TNRT TCS Command Line Interface</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <span class="target" id="module-nash"></span><p>Updated Sep 06, 2024</p>
<section id="tnrt-tcs-command-line-interface">
<h1>TNRT TCS Command Line Interface<a class="headerlink" href="#tnrt-tcs-command-line-interface" title="Permalink to this headline"></a></h1>
<p>Updated: Sep 06, 2024</p>
<section id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline"></a></h2>
<p>The Thai National Radio Telscope (TNRT) includes a command line interface (CLI) for manual control and script operation.  The name “nash” means “narit shell”.  The command line interface is an interactive iPython session which imports a module named <cite>nash.py</cite>.  This module provides many convenient user functions to construct automatic observations, command specific actions, and preview results.  Since <cite>nash</cite> is an iPython session, it can execute standard python operations, import external modules as needed, and run scripts in python3 syntax.</p>
<div class="toctree-wrapper compound">
</div>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">User Interface</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="automatic_observations.html">Automatic Observations</a><ul>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#schedule-parameters">Schedule Parameters</a></li>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#scan-type-parameters">Scan Type Parameters</a><ul>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#calibrate-cold-load">Calibrate: Cold Load</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#calibrate-hot-load">Calibrate: Hot Load</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#calibrate-noise-source">Calibrate: Noise Source</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#cross-otf">Cross (OTF)</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#five-point">Five Point</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#focus-m2-hxp">Focus M2 / HXP</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#map-otf">Map (OTF)</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#manual">Manual</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#on-source">On Source</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#raster">Raster</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#skydip">Skydip</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#time-sync">Time Sync</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#tracking-parameters">Tracking Parameters</a><ul>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#equatorial-right-ascension-declination">Equatorial (Right Ascension, Declination)</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#horizontal-azimuth-elevation-altitude-azimuth">Horizontal (Azimuth, Elevation) / (Altitude, Azimuth)</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#solar-system-body-planets-and-earth-s-moon">Solar System Body (Planets and Earth’s moon)</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#tle-satellite">TLE (Satellite)</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#receiver-frontend-parameters">Receiver Frontend Parameters</a><ul>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#l-band">L Band</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#cx-band">CX Band</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#ku-band">Ku Band</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#k-band">K Band</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#optical">Optical</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#digital-backend-parameters">Digital Backend Parameters</a><ul>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#edd">EDD</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#holofft">HoloFFT</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#holosdr">HoloSDR</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#skarab">SKARAB</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#optical-be">Optical</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#wideband-rf-power-meter">Wideband RF Power Meter</a></li>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#edd-mock-spectrometer">EDD Mock Spectrometer</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="automatic_observations.html#tcs-data-pipeline-parameters">TCS Data Pipeline Parameters</a><ul>
<li class="toctree-l3"><a class="reference internal" href="automatic_observations.html#dataparams">DataParams</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="command_reference.html">Command Reference</a><ul>
<li class="toctree-l2"><a class="reference internal" href="command_reference.html#session">Session</a></li>
<li class="toctree-l2"><a class="reference internal" href="command_reference.html#antenna">Antenna</a></li>
<li class="toctree-l2"><a class="reference internal" href="command_reference.html#scan">Scan</a></li>
<li class="toctree-l2"><a class="reference internal" href="command_reference.html#catalog">Catalog</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="example_scripts.html">Example Scripts</a><ul>
<li class="toctree-l2"><a class="reference internal" href="example_scripts.html#check-time-sync">Check Time Sync</a></li>
<li class="toctree-l2"><a class="reference internal" href="example_scripts.html#basic-azimuth-elevation-movement">Basic Azimuth Elevation Movement</a></li>
<li class="toctree-l2"><a class="reference internal" href="example_scripts.html#check-pointing-model-function">Check Pointing Model Function</a></li>
</ul>
</li>
</ul>
</div>
<div class="toctree-wrapper compound">
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="automatic_observations.html" class="btn btn-neutral float-right" title="Automatic Observations" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2021, NARIT RAOC.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>